
Redmine - Patch #872

Issues - placement of buttons in filter

2008-03-16 20:51 - Kai Olav Fredriksen

Status: Closed Start date: 2008-03-16

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

I see that new users tend to not "find" the buttons to apply a filter and such.

It seems that it would be more intuitive with a left-alignment than the current right-alignment.

I will attach two .jpgs to illustrate.

Kai

Associated revisions

Revision 1346 - 2008-04-13 13:18 - Jean-Philippe Lang

Left align filter buttons (closes #872) and reduce filters spacing.

History

#1 - 2008-03-16 20:51 - Kai Olav Fredriksen

- File issues_filter_proposed.jpg added

#2 - 2008-04-02 02:57 - W Snyder

I had the same concern; I've found you only need to change the line below.

I'd recommend this be merged into the mainline, it seems less confusing.

--- a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -159,7 +159,7 @@ div.issue {background:#ffffdd; padding:6px; margin-bottom:6px;border: 1px solid

 p.breadcrumb { font-size: 0.9em; margin: 4px 0 4px 0;}

 p.subtitle { font-size: 0.9em; margin: -6px 0 12px 0; font-style: italic; }

-fieldset#filters .buttons { text-align: right; font-size: 0.9em; margin: 0 4px 0px 0; }

+fieldset#filters .buttons { text-align: left; font-size: 0.9em; margin: 0 4px 0px 0; }

 div#issue-changesets {float:right; width:45%; margin-left: 1em; margin-bottom: 1em; background: #fff; padding

-left: 1em; font-size: 90%;}

 div#issue-changesets .changeset { padding: 4px;}

#3 - 2008-04-13 13:22 - Jean-Philippe Lang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r1346.

Files
